# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Axis Class Reference

The basis to define an axis attribute.
Warning: Use TDataStd_Geometry attribute to retrieve the
gp_Lin of the Axis attribute
.

`#include <TDataStd_Axis.hxx>`

Inheritance diagram for TDataStd_Axis:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Axis ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID for an axis.
static Standard_EXPORT Handle_TDataStd_Axis | Set (const TDF_Label &label)
| Finds or creates an axis attribute defined by the label. In the case of a creation of an axis, a compatible named shape should already be associated with label. Exceptions Standard_NullObject if no compatible named shape is associated with the label. .
static Standard_EXPORT Handle_TDataStd_Axis | Set (const TDF_Label &label, const gp_Lin &L)
| Find, or create, an Axis attribute and set as generated in the associated NamedShape. //! Axis methods ============ .

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Axis::TDataStd_Axis | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Axis::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TDataStd_Axis::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Axis::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Axis::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_Axis::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Axis::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Axis::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_Axis TDataStd_Axis::Set | ( | const TDF_Label & | label,
|  | const gp_Lin & | L
| ) | `[static]`

static Standard_EXPORT Handle_TDataStd_Axis TDataStd_Axis::Set | ( | const TDF_Label & | label | ) | `[static]`

The documentation for this class was generated from the following file:

- TDataStd_Axis.hxx